//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.2-147 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.03.06 at 12:22:27 AM EET 
//


package org.xbrl._int.gl.gen._2016_12_01;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.xbrl._int.gl.gen._2016_12_01 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.xbrl._int.gl.gen._2016_12_01
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link RevisesUniqueIDActionItemType }
     * 
     */
    public RevisesUniqueIDActionItemType createRevisesUniqueIDActionItemType() {
        return new RevisesUniqueIDActionItemType();
    }

    /**
     * Create an instance of {@link PostingStatusItemType }
     * 
     */
    public PostingStatusItemType createPostingStatusItemType() {
        return new PostingStatusItemType();
    }

    /**
     * Create an instance of {@link EntryTypeItemType }
     * 
     */
    public EntryTypeItemType createEntryTypeItemType() {
        return new EntryTypeItemType();
    }

    /**
     * Create an instance of {@link DocumentTypeItemType }
     * 
     */
    public DocumentTypeItemType createDocumentTypeItemType() {
        return new DocumentTypeItemType();
    }

    /**
     * Create an instance of {@link FaxNumberUsageItemType }
     * 
     */
    public FaxNumberUsageItemType createFaxNumberUsageItemType() {
        return new FaxNumberUsageItemType();
    }

    /**
     * Create an instance of {@link AmountItemType }
     * 
     */
    public AmountItemType createAmountItemType() {
        return new AmountItemType();
    }

    /**
     * Create an instance of {@link EntriesTypeItemType }
     * 
     */
    public EntriesTypeItemType createEntriesTypeItemType() {
        return new EntriesTypeItemType();
    }

    /**
     * Create an instance of {@link QualifierEntryItemType }
     * 
     */
    public QualifierEntryItemType createQualifierEntryItemType() {
        return new QualifierEntryItemType();
    }

    /**
     * Create an instance of {@link XbrlIncludeItemType }
     * 
     */
    public XbrlIncludeItemType createXbrlIncludeItemType() {
        return new XbrlIncludeItemType();
    }

    /**
     * Create an instance of {@link AccountTypeItemType }
     * 
     */
    public AccountTypeItemType createAccountTypeItemType() {
        return new AccountTypeItemType();
    }

    /**
     * Create an instance of {@link DebitCreditCodeItemType }
     * 
     */
    public DebitCreditCodeItemType createDebitCreditCodeItemType() {
        return new DebitCreditCodeItemType();
    }

    /**
     * Create an instance of {@link SignOfAmountItemType }
     * 
     */
    public SignOfAmountItemType createSignOfAmountItemType() {
        return new SignOfAmountItemType();
    }

    /**
     * Create an instance of {@link MainAccountTypeItemType }
     * 
     */
    public MainAccountTypeItemType createMainAccountTypeItemType() {
        return new MainAccountTypeItemType();
    }

    /**
     * Create an instance of {@link EmailAddressUsageItemType }
     * 
     */
    public EmailAddressUsageItemType createEmailAddressUsageItemType() {
        return new EmailAddressUsageItemType();
    }

    /**
     * Create an instance of {@link InvoiceTypeItemType }
     * 
     */
    public InvoiceTypeItemType createInvoiceTypeItemType() {
        return new InvoiceTypeItemType();
    }

    /**
     * Create an instance of {@link EmailAddressItemType }
     * 
     */
    public EmailAddressItemType createEmailAddressItemType() {
        return new EmailAddressItemType();
    }

    /**
     * Create an instance of {@link PhoneNumberDescriptionItemType }
     * 
     */
    public PhoneNumberDescriptionItemType createPhoneNumberDescriptionItemType() {
        return new PhoneNumberDescriptionItemType();
    }

    /**
     * Create an instance of {@link IdentifierTypeItemType }
     * 
     */
    public IdentifierTypeItemType createIdentifierTypeItemType() {
        return new IdentifierTypeItemType();
    }

    /**
     * Create an instance of {@link ActiveItemType }
     * 
     */
    public ActiveItemType createActiveItemType() {
        return new ActiveItemType();
    }

    /**
     * Create an instance of {@link PhoneNumberItemType }
     * 
     */
    public PhoneNumberItemType createPhoneNumberItemType() {
        return new PhoneNumberItemType();
    }

    /**
     * Create an instance of {@link BookTaxDifferenceItemType }
     * 
     */
    public BookTaxDifferenceItemType createBookTaxDifferenceItemType() {
        return new BookTaxDifferenceItemType();
    }

    /**
     * Create an instance of {@link IdentifierOrganizationTypeItemType }
     * 
     */
    public IdentifierOrganizationTypeItemType createIdentifierOrganizationTypeItemType() {
        return new IdentifierOrganizationTypeItemType();
    }

    /**
     * Create an instance of {@link FaxNumberItemType }
     * 
     */
    public FaxNumberItemType createFaxNumberItemType() {
        return new FaxNumberItemType();
    }

    /**
     * Create an instance of {@link SourceJournalIDItemType }
     * 
     */
    public SourceJournalIDItemType createSourceJournalIDItemType() {
        return new SourceJournalIDItemType();
    }

    /**
     * Create an instance of {@link AccountPurposeCodeItemType }
     * 
     */
    public AccountPurposeCodeItemType createAccountPurposeCodeItemType() {
        return new AccountPurposeCodeItemType();
    }

}
